diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index fb80574..ecbdd68 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -474,6 +474,11 @@ equations'' In ACM [ACM89], pp17-25 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
 F. Schwarz ``Monomial orderings and Gr{\"o}bner bases'' SIGSAM Bulletin (ACM
 Special Interest Group on Symbolic and Algebraic Manipulation) 2591) pp10-23
 Jan. 1991 CODEN SIGSBZ ISSN 0163-5824
+\bibitem[SDJ07]{SDJ-7}
+Smith, Jacob; Dos Reis, Gabriel; and Jarvi, Jaakko
+``Algorithmic differentiation in Axiom''
+ACM SIGSAM ISSAC Proceedings 2007 Waterloo, Canada 2007 pp347-354 
+ISBN 978-1-59593-743-8
 \bibitem[Sei94a]{Sei94a}
 W. M. Seiler ``Completion to involution in AXIOM'' in Calmet [Cal94] pp103-104
 \bibitem[Sie94b]{Sie94b}
diff --git a/changelog b/changelog
index 0aac8af..a1dda95 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100418 tpd src/axiom-website/patches.html 20100418.05.tpd.patch
+20100418 tpd books/bookvolbib add citation SDJ07
 20100418 tpd src/axiom-website/patches.html 20100418.04.tpd.patch
 20100418 tpd src/algebra/Makefile add UnivariateTaylorSeriesCZero
 20100418 tpd books/bookvol10.3 add UnivariateTaylorSeriesCZero
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index abc1f30..8c6e5b8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2635,5 +2635,7 @@ add src/input/liska.input add liska test suite<br/>
 books/bookvolbib add Axiom Bibliography book<br/>
 <a href="patches/20100418.04.tpd.patch">20100418.04.tpd.patch</a>
 books/bookvol10.3 add UnivariateTaylorSeriesCZero<br/>
+<a href="patches/20100418.05.tpd.patch">20100418.05.tpd.patch</a>
+books/bookvolbib add citation SDJ07<br/>
  </body>
 </html>
